## org.eclipse.emf.edit.ui.provider
Class PropertyDescriptor.EDataTypeCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.TextCellEditor
              org.eclipse.emf.edit.ui.provider.PropertyDescriptor.EDataTypeCellEditor

Enclosing class:
  PropertyDescriptor

    public static class PropertyDescriptor.EDataTypeCellEditor

extends TextCellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary
`protected EDataType` `eDataType`
`protected boolean` `validateAsValue`
`protected PropertyDescriptor.EDataTypeValueHandler` `valueHandler`

Fields inherited from class org.eclipse.jface.viewers.TextCellEditor
`text`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`PropertyDescriptor.EDataTypeCellEditor(EDataType eDataType, Composite parent)`

Method Summary
`java.lang.Object` `doGetValue()`
`void` `doSetValue(java.lang.Object value)`
`protected void` `editOccured(ModifyEvent e)`
`protected boolean` `isCorrect(java.lang.Object value)`

Methods inherited from class org.eclipse.jface.viewers.TextCellEditor
`createControl, dependsOnExternalFocusListener, doSetFocus, getLayoutData, handleDefaultSelection, isCopyEnabled, isCutEnabled, isDeleteEnabled, isPasteEnabled, isSaveAllEnabled, isSelectAllEnabled, keyReleaseOccured, performCopy, performCut, performDelete, performPaste, performSelectAll`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, deactivate, deactivate, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getDoubleClickTimeout, getErrorMessage, getStyle, getValidator, getValue, isActivated, isDirty, isFindEnabled, isRedoEnabled, isUndoEnabled, isValueValid, markDirty, performFind, performRedo, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### eDataType

    protected EDataType eDataType

### valueHandler

    protected PropertyDescriptor.EDataTypeValueHandler valueHandler

### validateAsValue

    protected boolean validateAsValue

Constructor Detail

### PropertyDescriptor.EDataTypeCellEditor

    public PropertyDescriptor.EDataTypeCellEditor(EDataType eDataType,
                                                  Composite parent)

Method Detail

### doGetValue

    public java.lang.Object doGetValue()

  Overrides:
    `doGetValue` in class `TextCellEditor`

### doSetValue

    public void doSetValue(java.lang.Object value)

  Overrides:
    `doSetValue` in class `TextCellEditor`

### editOccured

    protected void editOccured(ModifyEvent e)

  Overrides:
    `editOccured` in class `TextCellEditor`

### isCorrect

    protected boolean isCorrect(java.lang.Object value)

  Overrides:
    `isCorrect` in class `CellEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.